# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
rust-version = "1.83.0"
name = "ox_content_search"
version = "2.2.0"
authors = ["ubugeeei"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Full-text search engine for Ox Content"
homepage = "https://github.com/ubugeeei/ox-content"
readme = false
keywords = [
    "markdown",
    "documentation",
    "parser",
    "vite",
]
categories = ["development-tools"]
license = "MIT"
repository = "https://github.com/ubugeeei/ox-content"

[lib]
name = "ox_content_search"
path = "src/lib.rs"

[dependencies.ox_content_ast]
version = "2.2.0"

[dependencies.serde]
version = "1.0"
features = ["derive"]

[dependencies.serde_json]
version = "1.0"

[dev-dependencies.insta]
version = "1"

[dev-dependencies.ox_content_allocator]
version = "2.2.0"

[dev-dependencies.ox_content_parser]
version = "2.2.0"

[lints.clippy]
cargo_common_metadata = "allow"
case_sensitive_file_extension_comparisons = "allow"
cast_possible_truncation = "allow"
dbg_macro = "warn"
derive_partial_eq_without_eq = "allow"
doc_markdown = "allow"
elidable_lifetime_names = "allow"
format_push_string = "allow"
if_not_else = "allow"
match_same_arms = "allow"
missing_const_for_fn = "allow"
missing_errors_doc = "allow"
missing_panics_doc = "allow"
module_name_repetitions = "allow"
multiple_crate_versions = "allow"
must_use_candidate = "allow"
needless_pass_by_value = "allow"
option_if_let_else = "allow"
print_stderr = "warn"
print_stdout = "warn"
range_plus_one = "allow"
similar_names = "allow"
single_option_map = "allow"
struct_excessive_bools = "allow"
too_many_lines = "allow"
unnecessary_wraps = "allow"
unnested_or_patterns = "allow"
use_self = "allow"
wildcard_imports = "allow"

[lints.clippy.all]
level = "warn"
priority = -1

[lints.clippy.cargo]
level = "warn"
priority = -1

[lints.clippy.nursery]
level = "warn"
priority = -1

[lints.clippy.pedantic]
level = "warn"
priority = -1

[lints.rust]
absolute_paths_not_starting_with_crate = "warn"
non_local_definitions = "warn"
redundant_lifetimes = "warn"
unit_bindings = "warn"
unnameable_types = "warn"
unsafe_code = "warn"
